using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MovNubes : MonoBehaviour
{
    public GameObject Nube01, Nube02, Nube03;
    public float tiempo, tiempomax, tiempomin, spawntiempo;
    Osito TiempoGlobal;
    // Start is called before the first frame update
    void Start()
    {
        SetRandomTime();
        tiempo = tiempomin;
        TiempoGlobal = GameObject.Find("Osito").GetComponent<Osito>();
    }

    // Update is called once per frame
    void FixedUpdate()
    {
        tiempo += Time.deltaTime;

        Nube01.transform.position = transform.position;
        Nube02.transform.position = transform.position;
        Nube03.transform.position = transform.position;



        if (tiempo > spawntiempo)
        {
            int Num = Random.Range(1, 4);
            if (Num == 1)
            {
                Instantiate(Nube01);
                SetRandomTime();
                tiempo = 0;
            }
            if (Num == 2)
            {
                Instantiate(Nube02);
                SetRandomTime();
                tiempo = 0;
            }
            if (Num == 3)
            {
                Instantiate(Nube03);
                SetRandomTime();
                tiempo = 0;
            }
        }
        if (TiempoGlobal.TiempoGeneral > 30)
        {
            tiempomax = 5;
        }
        if (TiempoGlobal.TiempoGeneral > 40)
        {
            tiempomax = 2;
        }
        if (TiempoGlobal.TiempoGeneral > 60)
        {
            tiempomax = 1;
        }
    }
    void SetRandomTime()
    {
        if (tiempo > spawntiempo)
        {
            spawntiempo = Random.Range(tiempomin, tiempomax);
            tiempo = 0;
        }
    }
}